Bug 34160 - Garbage : Null Pointer Exception
Summary: Garbage : Null Pointer Exception
Status: RESOLVED FIXED
Alias: None
Product: Lenya
Classification: Unclassified
Component: Workflow (show other bugs)
Version: Trunk
Hardware: PC Windows 2000
: P2 major
Target Milestone: 1.4
Assignee: Lenya Developers
URL:
Keywords: ErrorMessage
Depends on:
Blocks:
 
Reported: 2005-03-24 10:05 UTC by Emmanuel BURRIEL
Modified: 2005-03-29 20:30 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel BURRIEL 2005-03-24 10:05:19 UTC
while emptying the garbage.

I just install Trunk version of Jahia.
I connect as lenya/levi
I go to the Admin slot
I click on 'Vider la corbeille' (i am in french so : empty the garbage)
And i get : org.apache.lenya.cms.task.ExecutionException: 
java.lang.RuntimeException: java.lang.NullPointerException

Here is the top of the stacktrace:
java.lang.NullPointerException
	at org.apache.lenya.cms.workflow.WorkflowResolverImpl.hasWorkflow
(WorkflowResolverImpl.java:153)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:324)
	at 
org.apache.avalon.excalibur.component.ComponentProxyGenerator$ComponentInvocatio
nHandler.invoke(ComponentProxyGenerator.java:143)
	at $Proxy14.hasWorkflow(Unknown Source)
	at org.apache.lenya.cms.workflow.WorkflowManagerImpl.invoke
(WorkflowManagerImpl.java:52)
	at org.apache.lenya.cms.workflow.WorkflowManagerImpl.invoke
(WorkflowManagerImpl.java:79)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:39)
Comment 1 Emmanuel BURRIEL 2005-03-24 10:08:44 UTC
Its LENYA and not JAHIA sorry

Comment 2 Gregor J. Rothfuss 2005-03-30 05:30:49 UTC
this has been fixed